Get the usage estimate of a month
curl --request GET \
--url https://api.voucher-staging.allride.io/consumer/v1/billing/usage \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.voucher-staging.allride.io/consumer/v1/billing/usage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.voucher-staging.allride.io/consumer/v1/billing/usage"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.get("https://api.voucher-staging.allride.io/consumer/v1/billing/usage")
.header("Authorization", "Bearer <token>")
.asString();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.voucher-staging.allride.io/consumer/v1/billing/usage"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.voucher-staging.allride.io/consumer/v1/billing/usage",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"resource": "billing-usage",
"serviceMonth": "2026-11",
"billingZone": "Europe/Berlin",
"isEstimate": true,
"asOf": "2026-11-17T10:00:00Z",
"invoiced": false,
"lines": [
{
"providerPartnerId": 1030,
"providerName": "Acme Scooters",
"voucherSetId": 2030,
"voucherSetName": "Acme Starter Pass",
"quantity": 4210,
"voidedQuantity": 12,
"unitPrice": {
"value": 1000,
"scale": 4,
"label": "€0.10"
},
"netAmount": {
"value": 42100,
"label": "€421.00"
},
"priced": true
}
],
"netAmount": {
"value": 42100,
"label": "€421.00"
},
"estimatedTaxAmount": {
"value": 7999,
"label": "€79.99"
},
"estimatedGrossAmount": {
"value": 50099,
"label": "€500.99"
}
}
}Billing
Get the usage estimate of a month
Returns billable redemptions and estimated charges of a service month per provider and voucher set. Service months are calendar months in Europe/Berlin, so they can differ from analytics in your time zone at month edges. The figures are an estimate (isEstimate: true) until the month is invoiced. See the billing guide.
Required permissions: view-consumer-billing · API keys: allowed
GET
/
consumer
/
v1
/
billing
/
usage
Get the usage estimate of a month
curl --request GET \
--url https://api.voucher-staging.allride.io/consumer/v1/billing/usage \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.voucher-staging.allride.io/consumer/v1/billing/usage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.voucher-staging.allride.io/consumer/v1/billing/usage"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.get("https://api.voucher-staging.allride.io/consumer/v1/billing/usage")
.header("Authorization", "Bearer <token>")
.asString();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.voucher-staging.allride.io/consumer/v1/billing/usage"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.voucher-staging.allride.io/consumer/v1/billing/usage",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"resource": "billing-usage",
"serviceMonth": "2026-11",
"billingZone": "Europe/Berlin",
"isEstimate": true,
"asOf": "2026-11-17T10:00:00Z",
"invoiced": false,
"lines": [
{
"providerPartnerId": 1030,
"providerName": "Acme Scooters",
"voucherSetId": 2030,
"voucherSetName": "Acme Starter Pass",
"quantity": 4210,
"voidedQuantity": 12,
"unitPrice": {
"value": 1000,
"scale": 4,
"label": "€0.10"
},
"netAmount": {
"value": 42100,
"label": "€421.00"
},
"priced": true
}
],
"netAmount": {
"value": 42100,
"label": "€421.00"
},
"estimatedTaxAmount": {
"value": 7999,
"label": "€79.99"
},
"estimatedGrossAmount": {
"value": 50099,
"label": "€500.99"
}
}
}Authorizations
Your API key in Authorization: Bearer <key>. Use vk_test_… keys against the sandbox and vk_live_… keys against production.
Query Parameters
Service month YYYY-MM (default: the current Europe/Berlin month; at most 13 months back).
Pattern:
^\d{4}-(0[1-9]|1[0-2])$Response
OK
Single-object envelope around a BillingUsage.
Usage and estimated charges of a service month.
Show child attributes
Show child attributes